Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85177 - X sometimes messes up console fonts, leaving vertical stripes
Summary: X sometimes messes up console fonts, leaving vertical stripes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-26 05:21 UTC by Mike McLean
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-24 21:55:37 UTC


Attachments (Terms of Use)

Description Mike McLean 2003-02-26 05:21:28 UTC
* -re0225....
* ATI RAGE XL chipset
* XFree86-4.2.99.902-20030224.1

Problem is intermittent, but mostly repeatable given a little patience.

Sometimes when switching to a virtual console, X messes up the console fonts
making most every character into vertical stripes.  Looks similar to what is
described in bug#61325.

The console is still active, and you can type blind on it if you have to. 
Things that reset the console font (such as logging in on a console), revert the
problem.

I have managed to reproduce this reliably (~50-70%) by the following sequence:
(In runlevel 5)
1) From the text console, run redhat-config-xfree86, change the resolution to
1024x768, and close the config tool.
2) Go to the gdm console and restart X (zap).
3) Go back to text console and run redhat-config-xfree86 again.  Change the
resultion to 800x600 and close.
4) Go to the gdm console and zap again.
5) Go back to the text console.  About 50-70% of the time you will see the
vertical stripe phenomenon.

Comment 1 Mike A. Harris 2003-02-28 07:52:52 UTC
Please attach log and config file.  I've got a couple Rage XL cards, and
docs, so if this is persistent, I might be able to track it down.

Thanks Mike,
TTYL

Comment 2 Mike A. Harris 2004-09-24 21:55:37 UTC
From IRC:
<mikem> mharris: I cannot replicate with RHEL4



Ok, thanks mikem, closing as "RAWHIDE", which is the current
FC3/RHEL4 codebase.


Note You need to log in before you can comment on or make changes to this bug.